Simulate 3DS authorization
curl --request POST \
--url https://sg.sandbox.api.reap.global/simulation/card-transactions/authorization-with-3ds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 100.5,
"originalAmount": 100.5,
"originalCurrency": "<string>",
"channel": "ATM",
"digitalWallet": "APPLE_PAY",
"merchant": {
"name": "<string>",
"city": "<string>",
"postCode": "<string>",
"state": "<string>",
"country": "US",
"mccCode": "<string>",
"mccCategory": "<string>"
},
"triggerFraudAlert": true
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cardId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 100.5,
originalAmount: 100.5,
originalCurrency: '<string>',
channel: 'ATM',
digitalWallet: 'APPLE_PAY',
merchant: {
name: '<string>',
city: '<string>',
postCode: '<string>',
state: '<string>',
country: 'US',
mccCode: '<string>',
mccCategory: '<string>'
},
triggerFraudAlert: true
})
};
fetch('https://sg.sandbox.api.reap.global/simulation/card-transactions/authorization-with-3ds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/simulation/card-transactions/authorization-with-3ds"
payload = {
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 100.5,
"originalAmount": 100.5,
"originalCurrency": "<string>",
"channel": "ATM",
"digitalWallet": "APPLE_PAY",
"merchant": {
"name": "<string>",
"city": "<string>",
"postCode": "<string>",
"state": "<string>",
"country": "US",
"mccCode": "<string>",
"mccCategory": "<string>"
},
"triggerFraudAlert": True
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"merchant": {
"name": "Sephora Digital",
"countryCode": "344"
},
"transaction": {
"amount": "170.0000",
"currency": "HKD",
"timestamp": "2024-01-15T10:30:00Z"
},
"expiresAt": "2024-01-15T10:35:00Z"
}{
"error": {
"code": "SIMULATION_INVALID_STATE",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "CARD_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Simulation
Simulate 3DS authorization
Simulates a WEBHOOK 3DS challenge for a card authorization. Returns a pending ThreeDsChallenge and delivers CARD_3DS_CHALLENGE_CREATED without creating a transaction. After POST /card-3ds-challenges/{id}/respond with approve: true, authorization completes and CARD_TRANSACTION_CREATED is delivered. With approve: false, the challenge is rejected and no transaction is created (mirrors production). The card must use 3dsChallengeMethod: WEBHOOK.
POST
/
simulation
/
card-transactions
/
authorization-with-3ds
Simulate 3DS authorization
curl --request POST \
--url https://sg.sandbox.api.reap.global/simulation/card-transactions/authorization-with-3ds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 100.5,
"originalAmount": 100.5,
"originalCurrency": "<string>",
"channel": "ATM",
"digitalWallet": "APPLE_PAY",
"merchant": {
"name": "<string>",
"city": "<string>",
"postCode": "<string>",
"state": "<string>",
"country": "US",
"mccCode": "<string>",
"mccCategory": "<string>"
},
"triggerFraudAlert": true
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cardId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 100.5,
originalAmount: 100.5,
originalCurrency: '<string>',
channel: 'ATM',
digitalWallet: 'APPLE_PAY',
merchant: {
name: '<string>',
city: '<string>',
postCode: '<string>',
state: '<string>',
country: 'US',
mccCode: '<string>',
mccCategory: '<string>'
},
triggerFraudAlert: true
})
};
fetch('https://sg.sandbox.api.reap.global/simulation/card-transactions/authorization-with-3ds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/simulation/card-transactions/authorization-with-3ds"
payload = {
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 100.5,
"originalAmount": 100.5,
"originalCurrency": "<string>",
"channel": "ATM",
"digitalWallet": "APPLE_PAY",
"merchant": {
"name": "<string>",
"city": "<string>",
"postCode": "<string>",
"state": "<string>",
"country": "US",
"mccCode": "<string>",
"mccCategory": "<string>"
},
"triggerFraudAlert": True
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"merchant": {
"name": "Sephora Digital",
"countryCode": "344"
},
"transaction": {
"amount": "170.0000",
"currency": "HKD",
"timestamp": "2024-01-15T10:30:00Z"
},
"expiresAt": "2024-01-15T10:35:00Z"
}{
"error": {
"code": "SIMULATION_INVALID_STATE",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "CARD_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Required scope: CARDS_SIMULATE
Headers
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Simulate a WEBHOOK 3DS challenge that defers authorization until the partner responds
Response
Response for status 200